Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

从应用程序备份中检索应用程序资产

GET /accounts/{account_id}/topology/v1/appBackups/{appBackup_id}/appAssets/{appAsset_id}

返回 JSON 响应正文中存储的 Application Asset API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

appBackup_id

string

path

True

包含 appBackup 资源的 ID

appAsset_id

string

path

True

要列出的 appAsset 集合的 ID

响应

Status: 200, Returns the stored Application Asset API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-appAsset"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

assetType

string

True

包含一个值的 JSON 字符串,该值指示从 Kubernetes 获取的资源类型。定义的值为:

  • 最小长度:1

  • 最大长度:254

creationTimestamp

string

True

包含指示 Kubernetes 元数据创建时间的时间戳的 JSON 字符串。已定义的值为:

  • 符合 ISO-8601 日期时间方案

GVK

"GVK"

True

包含 Kubernetes 组/版本/种类的 JSON 对象。

resource

"type_json"

False

包含 Kubernetes 资源定义的全部内容的 JSON 对象。

资产ID

string

True

包含 Kubernetes 分配的标识符的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

labels

数组["labels"]

True

JSON 对象的 JSON 数组,每个都包含与资产关联的 Kubernetes 标签。如果没有可用的详细信息,此数组将为空。

  • 最小项目数:0

assetName

string

True

包含 Kubernetes 分配的名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

namespace

string

False

包含 Kubernetes 分配的命名空间的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

响应示例
{
  "type": "application/astra-appAsset",
  "version": "1.1",
  "id": "6415e851-b820-553b-9432-ebd057d1917d",
  "assetType": "Pod",
  "creationTimestamp": "2020-08-06T12:24:52.256624Z",
  "GVK": {
    "group": "apps",
    "kind": "Pod",
    "version": "v1"
  },
  "assetID": "93ec0c61-d993-4aa1-bb08-f4dcdd5e97f6",
  "labels": [
    {
      "name": "app",
      "value": "mediawiki"
    },
    {
      "name": "pod-template-hash",
      "value": "69c6fcf864"
    }
  ],
  "assetName": "mediawiki-69c6fcf864-2wx6l",
  "namespace": "wiki",
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

GVK

包含 Kubernetes 组/版本/种类的 JSON 对象。

名称 Type Required Description

group

string

False

包含 Kubernetes 分配的组标识符的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

类型

string

False

包含 Kubernetes 分配的类型标识符的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

version

string

False

包含 Kubernetes 分配的版本标识符的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

type_json

包含 Kubernetes 资源定义的全部内容的 JSON 对象。

labels

名称 Type Required Description

name

string

True

包含标签名称的 JSON 字符串定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 定义的正则表达式为:"^([\S.]{1,253}\/)?([a-z0-9A-Z_.-]){1,63}$"

value

string

True

包含标签值的 JSON 字符串定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 定义的正则表达式为:"^([a-z0-9A-Z_.-]){1,63}$"

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response